Minimum Software Requirements

To play Battle Wave 2323, we highly recommend the following minimum software requirements...

The latest version of either Chrome or Firefox browser

The latest version of MetaMask for your desired browser

If a member of our support team requests your web browser’s technical details, this is what you need to do...

  1. Visit the following site to copy your web browser’s unique URL: https://www.whatismybrowser.com/

  2. Copy URL to dashboard

 

3. Send your copied URL to the AnRKey X team member that requested it - either via an existing support ticket, or a new one. https://anrkeyx.zendesk.com/hc/en-us/requests/new